# StacksRegtest | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- StacksMainnet
  - StacksRegtest

### Implements

- StacksNetwork

## Index

### Constructors

- constructor

### Properties

- accountEndpoint
- bnsLookupUrl
- broadcastEndpoint
- chainId
- contractAbiEndpoint
- coreApiUrl
- readOnlyFunctionCallEndpoint
- transferFeeEstimateEndpoint
- version

### Methods

- getAbiApiUrl
- getAccountApiUrl
- getBlockTimeInfoUrl
- getBroadcastApiUrl
- getInfoUrl
- getNameInfo
- getPoxInfoUrl
- getReadOnlyFunctionCallApiUrl
- getStackerInfoUrl
- getTransferFeeEstimateApiUrl
- isMainnet

## Constructors

### constructor

- new StacksRegtest(): StacksRegtest

- Inherited from StacksMainnet.constructor

  #### Returns StacksRegtest

## Properties

### accountEndpoint

accountEndpoint: string = '/v2/accounts'

Implementation of StacksNetwork.accountEndpoint

Inherited from StacksMainnet.accountEndpoint

- Defined in packages/network/src/index.ts:46

### bnsLookupUrl

bnsLookupUrl: string = 'https://stacks-node-api.mainnet.stacks.co'

Implementation of StacksNetwork.bnsLookupUrl

Inherited from StacksMainnet.bnsLookupUrl

- Defined in packages/network/src/index.ts:43

### broadcastEndpoint

broadcastEndpoint: string = '/v2/transactions'

Implementation of StacksNetwork.broadcastEndpoint

Inherited from StacksMainnet.broadcastEndpoint

- Defined in packages/network/src/index.ts:44

### chainId

chainId: ChainID = ...

Implementation of StacksNetwork.chainId

Overrides StacksMainnet.chainId

- Defined in packages/network/src/index.ts:113

### contractAbiEndpoint

contractAbiEndpoint: string = '/v2/contracts/interface'

Implementation of StacksNetwork.contractAbiEndpoint

Inherited from StacksMainnet.contractAbiEndpoint

- Defined in packages/network/src/index.ts:47

### coreApiUrl

coreApiUrl: string = 'https://stacks-node-api.regtest.stacks.co'

Implementation of StacksNetwork.coreApiUrl

Overrides StacksMainnet.coreApiUrl

- Defined in packages/network/src/index.ts:114

### readOnlyFunctionCallEndpoint

readOnlyFunctionCallEndpoint: string = '/v2/contracts/call-read'

Implementation of StacksNetwork.readOnlyFunctionCallEndpoint

Inherited from StacksMainnet.readOnlyFunctionCallEndpoint

- Defined in packages/network/src/index.ts:48

### transferFeeEstimateEndpoint

transferFeeEstimateEndpoint: string = '/v2/fees/transfer'

Implementation of StacksNetwork.transferFeeEstimateEndpoint

Inherited from StacksMainnet.transferFeeEstimateEndpoint

- Defined in packages/network/src/index.ts:45

### version

version: TransactionVersion = ...

Implementation of StacksNetwork.version

Overrides StacksMainnet.version

- Defined in packages/network/src/index.ts:112

## Methods

### getAbiApiUrl

- getAbiApiUrl(address: string, contract: string): string

- Implementation of StacksNetwork.getAbiApiUrl

  Inherited from StacksMainnet.getAbiApiUrl

  - Defined in packages/network/src/index.ts:55

  #### Parameters

  - ##### address: string

  - ##### contract: string

  #### Returns string

### getAccountApiUrl

- getAccountApiUrl(address: string): string

- Implementation of StacksNetwork.getAccountApiUrl

  Inherited from StacksMainnet.getAccountApiUrl

  - Defined in packages/network/src/index.ts:53

  #### Parameters

  - ##### address: string

  #### Returns string

### getBlockTimeInfoUrl

- getBlockTimeInfoUrl(): string

- Implementation of StacksNetwork.getBlockTimeInfoUrl

  Inherited from StacksMainnet.getBlockTimeInfoUrl

  - Defined in packages/network/src/index.ts:66

  #### Returns string

### getBroadcastApiUrl

- getBroadcastApiUrl(): string

- Implementation of StacksNetwork.getBroadcastApiUrl

  Inherited from StacksMainnet.getBroadcastApiUrl

  - Defined in packages/network/src/index.ts:51

  #### Returns string

### getInfoUrl

- getInfoUrl(): string

- Implementation of StacksNetwork.getInfoUrl

  Inherited from StacksMainnet.getInfoUrl

  - Defined in packages/network/src/index.ts:65

  #### Returns string

### getNameInfo

- getNameInfo(fullyQualifiedName: string): Promise<any>

- Implementation of StacksNetwork.getNameInfo

  Inherited from StacksMainnet.getNameInfo

  - Defined in packages/network/src/index.ts:71

  Get WHOIS-like information for a name, including the address that owns it, the block at which it expires, and the zone file anchored to it (if available).

  This is intended for use in third-party wallets or in DApps that register names.

  #### Parameters

  - ##### fullyQualifiedName: string

  #### Returns Promise<any>

### getPoxInfoUrl

- getPoxInfoUrl(): string

- Implementation of StacksNetwork.getPoxInfoUrl

  Inherited from StacksMainnet.getPoxInfoUrl

  - Defined in packages/network/src/index.ts:67

  #### Returns string

### getReadOnlyFunctionCallApiUrl

- getReadOnlyFunctionCallApiUrl(contractAddress: string, contractName: string, functionName: string): string

- Implementation of StacksNetwork.getReadOnlyFunctionCallApiUrl

  Inherited from StacksMainnet.getReadOnlyFunctionCallApiUrl

  - Defined in packages/network/src/index.ts:57

  #### Parameters

  - ##### contractAddress: string

  - ##### contractName: string

  - ##### functionName: string

  #### Returns string

### getStackerInfoUrl

- getStackerInfoUrl(contractAddress: string, contractName: string): string

- Implementation of StacksNetwork.getStackerInfoUrl

  Inherited from StacksMainnet.getStackerInfoUrl

  - Defined in packages/network/src/index.ts:68

  #### Parameters

  - ##### contractAddress: string

  - ##### contractName: string

  #### Returns string

### getTransferFeeEstimateApiUrl

- getTransferFeeEstimateApiUrl(): string

- Implementation of StacksNetwork.getTransferFeeEstimateApiUrl

  Inherited from StacksMainnet.getTransferFeeEstimateApiUrl

  - Defined in packages/network/src/index.ts:52

  #### Returns string

### isMainnet

- isMainnet(): boolean

- Implementation of StacksNetwork.isMainnet

  Inherited from StacksMainnet.isMainnet

  - Defined in packages/network/src/index.ts:50

  #### Returns boolean

Generated using TypeDoc